---
Title: 'Changes to the Knative Project Governance'
Author: "[Paul Morie](https://github.com/pmorie), on behalf of the [Knative Steering Committee](https://github.com/knative/community/blob/main/STEERING-COMMITTEE.md)"
Author handle: https://github.com/pmorie
Description: Summary of governance changes to steering and trademark committees.
Folder with media files: 'N/A'
Blog URL: ''
Labels: Articles
Reviewers: ''
date: 2020-09-30
description: "Knative Project Governance Changes"
type: "blog"

---
| Reviewer  | Date | Approval |
| ------------- | ------------- | ------------- |
| <!-- Your Github handle here --> |   |  |


One of the long-standing [asks](https://github.com/knative/community/issues/33)
within the Knative community has been for the Steering Committee to clarify its
charter and how the committee is composed. I'm happy to be able to say that we
now have a new [Steering Committee
charter](https://github.com/knative/community/pull/277) which, in my opinion,
delivers on this ask. Community participation was central to working through the
process to get to this new charter, and I first and foremost want to say a
sincere THANK YOU to everyone in our community that participated in our public
discussions on this topic. The community participation, which included
individual code and non-code contributors, as well as working group leads,
helped to influence the direction the discussions went.

Let me summarize the meaning of the changes, and then go into some detail:

- There will be elections for Steering Committee members
- Steering committee members serve as individuals rather than representing their employer
- No vendor will be allowed to have a majority of seats in the Steering Committee
- We added the new Knative Trademark Committee (KTC) to handle matters related to the trademark
- There is a transition plan from the current bootstrap scheme to the new governance scheme

Those of you who love committees will be pleased that we have increased the
committee count within the project by one. Those of you who don't love
committees for their own sake may be asking what the purpose of such a committee
is; luckily, there is a clear and sensible answer. During the discussions around
new governance, it became apparent that there was a clear separation of concerns
between the specific vendor needs around trademark, "core" scope (for lack of a
better term) and conformance, and the broader community needs around everything
else Steering does. While we could have created a hybrid structure for Steering,
we decided it was simpler to just have a vendor committee that focused only on
scope and conformance, with the Steering committee focusing on the other aspects
of community growth and project governance.

The KTC will initially include representatives from Google, Red Hat/IBM, and
VMware. They will need to figure out how new components and features "plug in"
to the Knative ecosystem in a non-technical sense. They will also help Steering
settle questions around derivative trademarks and logos, Knative "extensions",
and other questions about being part of our larger project. Membership to the KTC
is renewed on an annual basis, at the same time that the 2021 steering elections happen.
When the committee is renewed, new vendors may receive a seat on the KTC, by
virtue of their contributions in the previous year. Since we know that not all
contributions are easy to quantify, any vendor may frame their contributions,
and request consideration for membership on the KTC.

With regard to the Steering Committee, the five members will be elected by the
contributors to Knative, the same way that TOC members are. The difference
between Steering and TOC will be that TOC members need to be code reviewers,
whereas Steering members might contribute in other areas and will lead the
project in non-code areas. To ensure fairness, no more than two Steering members
may work for the same employer. As the project grows, it's possible that we may
expand the committee to 7 seats in the future.

The election date isn't set yet, but expect to see a call for nominations
shortly.

The goal of these changes is to give new contributors and contributing
organizations a clearer path on how they can participate in project governance.
Anyone can run for steering, and the KTC will add new members from any new
sponsoring organizations every year.

It was an inspiration and an honor to participate in this revision process.
Practically the whole Knative community was involved, and almost everyone had a
discussion item or a comment that got considered. The eventual charter we ended
up with looks very different than what we started with because of community
participation. This is a victory for open governance -- even more so because
it's not done! We need you to keep participating so that the Knative project can
keep evolving as our technology grows.

And in the short term, you'll need to vote for the new Steering Committee! Stay tuned for announcements.
